# SoMFVec3f Class Reference
[Field classes]

`#include <Inventor/fields/SoMFVec3f.h>`

Inheritance diagram for SoMFVec3f:

List of all members.

## Detailed Description

The SoMFVec3f class is a container for SbVec3f vectors.

This field is used where nodes, engines or other field containers needs to store an array of vectors with three elements.

This field supports application data sharing through a setValuesPointer() method. See SoMField documentation for information on how to use this function.

See also:
  SoSFVec3f

## Public Member Functions

void | setValues (const int start, const int num, const float xyz[][3])
void | set1Value (const int idx, const float x, const float y, const float z)
void | set1Value (const int idx, const float xyz[3])
void | setValue (const float x, const float y, const float z)
void | setValue (const float xyz[3])

## Static Public Member Functions

void | initClass (void)

## Member Function Documentation

void SoMFVec3f::initClass | ( | void |  | ) | `[static]`

| Internal method called upon initialization of the library (from SoDB::init()) to set up the type system. Reimplemented from SoMField.

void SoMFVec3f::setValues | ( | const int | start,
|  | const int | num,
|  | const float | xyz[][3]
| ) |

| Set num vector array elements from the xyz array, reading from index 0 in the given float-triplet vector array and storing values from index start in this SoMFVec3f's array. If start + num is larger than the current number of elements in the SoMFVec3f field, this method will automatically expand the field to accommodate all given float-vector element values.

void SoMFVec3f::set1Value | ( | const int | idx,
|  | const float | x,
|  | const float | y,
|  | const float | z
| ) |

| Set the vector at idx.

void SoMFVec3f::set1Value | ( | const int | idx,
|  | const float | xyz[3]
| ) |

| Set the vector at idx.

void SoMFVec3f::setValue | ( | const float | x,
|  | const float | y,
|  | const float | z
| ) |

| Set this field to contain a single vector with the given element values.

void SoMFVec3f::setValue | ( | const float | xyz[3] | ) |

| Set this field to contain a single vector with the given element values.

The documentation for this class was generated from the following files:

- SoMFVec3f.h
- SoMFVec3f.cpp